curl --request GET \
--url https://demo.enneo.ai/api/mind/template \
--header 'Authorization: Bearer <token>'{
"success": true,
"templates": [
{
"id": 12,
"tagId": 101,
"emailTemplateId": 5,
"description": "Reminder: please send your meter reading",
"message": "<p>Hallo {{contract.firstName}},</p><p>bitte sende uns den Stand.</p>",
"subject": "Wir benötigen deinen Zählerstand",
"exampleTicketIds": [
8812,
9100
],
"attachments": []
},
{
"id": 13,
"tagId": null,
"emailTemplateId": 5,
"description": "Default closing",
"message": "<p>Vielen Dank für deine Nachricht.</p>",
"subject": null,
"exampleTicketIds": [],
"attachments": [
{
"name": "instructions.pdf",
"url": "https://cdn.example.com/template/instructions.pdf"
}
]
}
]
}Returns the paginated list of response templates that agents can insert into tickets. When no template matches the provided filters the API responds with HTTP 404.
curl --request GET \
--url https://demo.enneo.ai/api/mind/template \
--header 'Authorization: Bearer <token>'{
"success": true,
"templates": [
{
"id": 12,
"tagId": 101,
"emailTemplateId": 5,
"description": "Reminder: please send your meter reading",
"message": "<p>Hallo {{contract.firstName}},</p><p>bitte sende uns den Stand.</p>",
"subject": "Wir benötigen deinen Zählerstand",
"exampleTicketIds": [
8812,
9100
],
"attachments": []
},
{
"id": 13,
"tagId": null,
"emailTemplateId": 5,
"description": "Default closing",
"message": "<p>Vielen Dank für deine Nachricht.</p>",
"subject": null,
"exampleTicketIds": [],
"attachments": [
{
"name": "instructions.pdf",
"url": "https://cdn.example.com/template/instructions.pdf"
}
]
}
]
}JWT-based authentication
Number of templates to skip before starting to collect the result set.
x >= 0Maximum number of templates to return.
1 <= x <= 500Optional full-text search term applied to description and message fields.
Filter templates that are linked to a specific AI Agent. Acts as a tag filter internally.